require 'csv'                           # CSVライブラリ読み込み

data = CSV.read("syounai.csv", :headers => true)
 data.each{|row|  
            printf("%sとはどんなところ？\n",
                    row["建物名"],)               
            printf("住所 => %s \n特徴 => %s \n",
                    row["住所"], row["特徴"])
                    print("--------------------------\n") #何個でもいい仕切りの機能
                }
print "列ごとに取り出してみよう！\n"
printf("観光スポット一覧 %s \n", data["建物名"])
printf("住所一覧 %s \n", data["住所"])
printf("特徴一覧 %s \n", data["特徴"])